/**
 * Created by 王海东 on 2016-07-26
 * 关于service
 */
angular.module('starter.aboutService', [])
    .service("aboutService", function ($rootScope, Constants, apiService, utilService) {
        var sysInfo = {};
        /**
         * 获取系统信息
         */
        this.getSysInfo = function () {
            apiService.getSysInfo().then(function (data) {
                //success
                if (Constants.resultCode.SUCCESS == data.resultCode) {
                    sysInfo = data.data;
                    $rootScope.$broadcast("sysinfo:success");
                }
            }, function (data) {
                //error
            }).finally(function () {
                $rootScope.$broadcast("loading:hide");
            })
        }
        
        this.getSysInfoData = function () {
            return sysInfo;
        }
    });